### Method

# SpiceClientGLib Channel disconnect

#### Declaration [src]

    void
    spice_channel_disconnect (
      SpiceChannel* channel,
      SpiceChannelEvent reason
    )

#### Description [src]

Close the socket and reset connection specific data. Finally, emit `reason` `SpiceChannel::channel-event` on main context if not

# SPICE_CHANNEL_NONE.

#### Parameters

`reason`

  Type: `SpiceChannelEvent`

  A channel event emitted on main context (or #SPICE_CHANNEL_NONE).